API Reference
List ScheduledExposureCalculation
List scheduled exposure calculations. The results are returned in no particular order.
GET
/
v1
/
scheduledExposureCalculations
List ScheduledExposureCalculation
curl --request GET \
--url https://metrics.eu.confidence.dev/v1/scheduledExposureCalculations \
--header 'Authorization: Bearer <token>'import requests
url = "https://metrics.eu.confidence.dev/v1/scheduledExposureCalculations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://metrics.eu.confidence.dev/v1/scheduledExposureCalculations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://metrics.eu.confidence.dev/v1/scheduledExposureCalculations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://metrics.eu.confidence.dev/v1/scheduledExposureCalculations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://metrics.eu.confidence.dev/v1/scheduledExposureCalculations")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://metrics.eu.confidence.dev/v1/scheduledExposureCalculations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"scheduledExposureCalculations": [
{
"exposureCalculationSpec": {
"assignmentTable": "<string>",
"assignmentFilter": {
"criteria": [
{}
],
"expression": {
"ref": "<string>",
"not": {},
"and": {
"operands": [
{}
]
},
"or": {
"operands": [
{}
]
}
}
},
"exposureKey": "<string>",
"groups": [
{
"group": "<string>",
"variantKey": "<string>"
}
],
"splitDimensions": [
"<string>"
],
"exposureFilter": {
"factTable": "<string>",
"filter": {
"criteria": [
{}
],
"expression": {
"ref": "<string>",
"not": {},
"and": {
"operands": [
{}
]
},
"or": {
"operands": [
{}
]
}
}
},
"displayName": "<string>"
},
"filters": [
{
"factTable": "<string>",
"filter": {
"criteria": [
{}
],
"expression": {
"ref": "<string>",
"not": {},
"and": {
"operands": [
{}
]
},
"or": {
"operands": [
{}
]
}
}
},
"displayName": "<string>"
}
],
"entityFilter": {
"dimensionTable": "<string>",
"filter": {
"criteria": [
{}
],
"expression": {
"ref": "<string>",
"not": {},
"and": {
"operands": [
{}
]
},
"or": {
"operands": [
{}
]
}
}
}
},
"entityFilters": [
{
"dimensionTable": "<string>",
"filter": {
"criteria": [
{}
],
"expression": {
"ref": "<string>",
"not": {},
"and": {
"operands": [
{}
]
},
"or": {
"operands": [
{}
]
}
}
}
}
]
},
"scheduleStartTime": {},
"scheduleIntervals": [
{}
],
"entity": "<string>",
"nextAssignmentStartTime": {},
"nextAssignmentEndTime": {},
"nextScheduledRunTime": {},
"executedCalculationsCount": {},
"iteration": {},
"createTime": {},
"updateTime": {},
"status": {
"scheduled": {
"nextScheduleTime": {}
},
"cancelled": {
"cancelledTime": {}
},
"calculating": {
"exposureCalculation": "<string>"
},
"waiting": {
"needDataUntilTime": {},
"assignmentTable": "<string>",
"factTable": "<string>",
"dataDeliveredUntilTime": {}
},
"error": {
"errorMessage": "<string>"
}
},
"creator": "<string>",
"updater": "<string>",
"name": "<string>",
"scheduleEndTime": {},
"exposureTable": "<string>",
"state": "STATE_UNSPECIFIED",
"exposedEntitiesMetric": "<string>",
"exposedEntitiesMetricSchedule": "<string>",
"labels": [
{}
],
"activeRetrigger": "<string>",
"displayName": "<string>",
"owner": "<string>"
}
],
"nextPageToken": "<string>"
}Authorizations
Query Parameters
Response
200 - application/json
OK
ScheduledExposureCalculation: List of matching scheduled exposure calculations.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
List ScheduledExposureCalculation
curl --request GET \
--url https://metrics.eu.confidence.dev/v1/scheduledExposureCalculations \
--header 'Authorization: Bearer <token>'import requests
url = "https://metrics.eu.confidence.dev/v1/scheduledExposureCalculations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://metrics.eu.confidence.dev/v1/scheduledExposureCalculations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://metrics.eu.confidence.dev/v1/scheduledExposureCalculations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://metrics.eu.confidence.dev/v1/scheduledExposureCalculations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://metrics.eu.confidence.dev/v1/scheduledExposureCalculations")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://metrics.eu.confidence.dev/v1/scheduledExposureCalculations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"scheduledExposureCalculations": [
{
"exposureCalculationSpec": {
"assignmentTable": "<string>",
"assignmentFilter": {
"criteria": [
{}
],
"expression": {
"ref": "<string>",
"not": {},
"and": {
"operands": [
{}
]
},
"or": {
"operands": [
{}
]
}
}
},
"exposureKey": "<string>",
"groups": [
{
"group": "<string>",
"variantKey": "<string>"
}
],
"splitDimensions": [
"<string>"
],
"exposureFilter": {
"factTable": "<string>",
"filter": {
"criteria": [
{}
],
"expression": {
"ref": "<string>",
"not": {},
"and": {
"operands": [
{}
]
},
"or": {
"operands": [
{}
]
}
}
},
"displayName": "<string>"
},
"filters": [
{
"factTable": "<string>",
"filter": {
"criteria": [
{}
],
"expression": {
"ref": "<string>",
"not": {},
"and": {
"operands": [
{}
]
},
"or": {
"operands": [
{}
]
}
}
},
"displayName": "<string>"
}
],
"entityFilter": {
"dimensionTable": "<string>",
"filter": {
"criteria": [
{}
],
"expression": {
"ref": "<string>",
"not": {},
"and": {
"operands": [
{}
]
},
"or": {
"operands": [
{}
]
}
}
}
},
"entityFilters": [
{
"dimensionTable": "<string>",
"filter": {
"criteria": [
{}
],
"expression": {
"ref": "<string>",
"not": {},
"and": {
"operands": [
{}
]
},
"or": {
"operands": [
{}
]
}
}
}
}
]
},
"scheduleStartTime": {},
"scheduleIntervals": [
{}
],
"entity": "<string>",
"nextAssignmentStartTime": {},
"nextAssignmentEndTime": {},
"nextScheduledRunTime": {},
"executedCalculationsCount": {},
"iteration": {},
"createTime": {},
"updateTime": {},
"status": {
"scheduled": {
"nextScheduleTime": {}
},
"cancelled": {
"cancelledTime": {}
},
"calculating": {
"exposureCalculation": "<string>"
},
"waiting": {
"needDataUntilTime": {},
"assignmentTable": "<string>",
"factTable": "<string>",
"dataDeliveredUntilTime": {}
},
"error": {
"errorMessage": "<string>"
}
},
"creator": "<string>",
"updater": "<string>",
"name": "<string>",
"scheduleEndTime": {},
"exposureTable": "<string>",
"state": "STATE_UNSPECIFIED",
"exposedEntitiesMetric": "<string>",
"exposedEntitiesMetricSchedule": "<string>",
"labels": [
{}
],
"activeRetrigger": "<string>",
"displayName": "<string>",
"owner": "<string>"
}
],
"nextPageToken": "<string>"
}
